Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.container
Enum CacheInfo.Type

    java.lang.Object
      java.lang.Enum<CacheInfo.Type>
          org.jivesoftware.openfire.container.CacheInfo.Type

All Implemented Interfaces:
  Serializable, Comparable<CacheInfo.Type>

Enclosing class:
  CacheInfo

    public static enum CacheInfo.Type

extends Enum<CacheInfo.Type>

Enum Constant Summary
`distributed` An distributed-scheme defines caches where the storage for entries is partitioned across cluster nodes.
`optimistic` OptimisticCache is a clustered cache implementation similar to the ReplicatedCache implementation, but without any concurrency control.
`replicated` Data is fully replicated to every member in the cluster.

Method Summary
`String` | `getName()`
`static CacheInfo.Type` | `valueof(String name)`
`static CacheInfo.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheInfo.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### replicated

    public static final CacheInfo.Type replicated

  Data is fully replicated to every member in the cluster. Offers the fastest read performance. Clustered, fault-tolerant cache with linear performance scalability for reads, but poor scalability for writes (as writes must be processed by every member in the cluster). Because data is replicated to all machines, adding servers does not increase aggregate cache capacity.

### optimistic

    public static final CacheInfo.Type optimistic

  OptimisticCache is a clustered cache implementation similar to the ReplicatedCache implementation, but without any concurrency control. This implementation has the highest possible throughput. It also allows to use an alternative underlying store for the cached data (for example, a MRU/MFU-based cache). However, if two cluster members are independently pruning or purging the underlying local stores, it is possible that a cluster member may have a different store content than that held by another cluster member. This cache is good for frequent reads and not frequent writes. However, this cache will not scale fine if it has lot of content that will end up consuming all the JVM memory. For this case a `distributed` is a better option.

### distributed

    public static final CacheInfo.Type distributed

  An distributed-scheme defines caches where the storage for entries is partitioned across cluster nodes. A hybrid cache; fronts a fault-tolerant, scalable partitioned cache with a local cache. Near cache invalidates front cache entries, using configurable invalidation strategy, and provides excellent performance and synchronization. Near cache backed by a partitioned cache offers zero-millisecond local access for repeat data access, while enabling concurrency and ensuring coherency and fail-over, effectively combining the best attributes of replicated and partitioned caches.

Method Detail

### values

    public static final CacheInfo.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CacheInfo.Type c : CacheInfo.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CacheInfo.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### valueof

    public static CacheInfo.Type valueof(String name)

### getName

    public String getName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.